<?php

/**
 * @file
 * Contains default views on behalf of the field_form module.
 */

/**
 * Implements hook_views_default_views().
 */
function field_form_views_default_views() {
  /* Field form submission results */
  $view = new view;
  $view->name = 'field_form';
  $view->description = t("Users' Field form submission results.");
  $view->tag = t('field form submissions');
  $view->view_php = '';
  $view->base_table = 'field_form_results';
  $view->is_cacheable = FALSE;
  $view->api_version = 3.0;
  $view->disabled = FALSE;

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = t('Field form submission results');
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'view submission results list';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'name' => 'name',
    'remote_addr' => 'remote_addr',
    'path' => 'path',
    'title' => 'title',
    'entity_id' => 'entity_id',
    'duration' => 'duration',
    'timestamp' => 'timestamp',
    'score' => 'score',
    'retries' => 'retries',
    'view_submission' => 'delete_submission',
    'edit_submission' => 'delete_submission',
    'delete_submission' => 'delete_submission',
  );
  $handler->display->display_options['style_options']['default'] = 'timestamp';
  $handler->display->display_options['style_options']['info'] = array(
    'name' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'remote_addr' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'timestamp' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'score' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'retries' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'duration' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'path' => array(
      'sortable' => 0,
      'align' => '',
      'separator' => '',
    ),
    'title' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'entity_type' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'entity_id' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'view_submission' => array(
      'align' => '',
      'separator' => '',
    ),
    'edit_submission' => array(
      'align' => '',
      'separator' => '',
    ),
    'delete_submission' => array(
      'align' => '',
      'separator' => ' | ',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  $handler->display->display_options['style_options']['order'] = 'desc';
  /* Relationship: Field form submissions: Owner */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'field_form_results';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['required'] = 1;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['name']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['name']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['name']['alter']['html'] = 0;
  $handler->display->display_options['fields']['name']['hide_empty'] = 0;
  $handler->display->display_options['fields']['name']['empty_zero'] = 0;
  $handler->display->display_options['fields']['name']['link_to_user'] = 1;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = 0;
  $handler->display->display_options['fields']['name']['label'] = t('Submitted by');
  /* Field: Field form submissions: IP address */
  $handler->display->display_options['fields']['remote_addr']['id'] = 'remote_addr';
  $handler->display->display_options['fields']['remote_addr']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['remote_addr']['field'] = 'remote_addr';
  $handler->display->display_options['fields']['remote_addr']['label'] = t('IP address');
  $handler->display->display_options['fields']['remote_addr']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['remote_addr']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['remote_addr']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['html'] = 0;
  $handler->display->display_options['fields']['remote_addr']['hide_empty'] = 0;
  $handler->display->display_options['fields']['remote_addr']['empty_zero'] = 0;
  /* Field: Field form submissions: Timestamp */
  $handler->display->display_options['fields']['timestamp']['id'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['timestamp']['field'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['timestamp']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['timestamp']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['html'] = 0;
  $handler->display->display_options['fields']['timestamp']['hide_empty'] = 0;
  $handler->display->display_options['fields']['timestamp']['empty_zero'] = 0;
  $handler->display->display_options['fields']['timestamp']['date_format'] = 'custom';
  $handler->display->display_options['fields']['timestamp']['custom_date_format'] = 'D, Y-m-d H:i';
  $handler->display->display_options['fields']['timestamp']['label'] = t('Date submitted');
    /* Field: Field form submissions: Score */
  $handler->display->display_options['fields']['score']['id'] = 'score';
  $handler->display->display_options['fields']['score']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['score']['field'] = 'score';
  $handler->display->display_options['fields']['score']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['score']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['score']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['score']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['score']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['score']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['score']['alter']['html'] = 0;
  $handler->display->display_options['fields']['score']['hide_empty'] = 0;
  $handler->display->display_options['fields']['score']['empty_zero'] = 0;
  $handler->display->display_options['fields']['score']['label'] = t('Score');
  /* Field: Field form submissions: Retries */
  $handler->display->display_options['fields']['retries']['id'] = 'retries';
  $handler->display->display_options['fields']['retries']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['retries']['field'] = 'retries';
  $handler->display->display_options['fields']['retries']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['retries']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['retries']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['html'] = 0;
  $handler->display->display_options['fields']['retries']['hide_empty'] = 0;
  $handler->display->display_options['fields']['retries']['empty_zero'] = 0;
  $handler->display->display_options['fields']['retries']['label'] = t('Retries');
  /* Field: Field form submissions: Duration */
  $handler->display->display_options['fields']['duration']['id'] = 'duration';
  $handler->display->display_options['fields']['duration']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['duration']['field'] = 'duration';
  $handler->display->display_options['fields']['duration']['label'] = t('Duration');
  $handler->display->display_options['fields']['duration']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['duration']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['duration']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['html'] = 0;
  $handler->display->display_options['fields']['duration']['hide_empty'] = 0;
  $handler->display->display_options['fields']['duration']['empty_zero'] = 0;
  /* Field: Field form submissions: Source path */
  $handler->display->display_options['fields']['path']['id'] = 'path';
  $handler->display->display_options['fields']['path']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['path']['field'] = 'path';
  $handler->display->display_options['fields']['path']['label'] = '';
  $handler->display->display_options['fields']['path']['exclude'] = TRUE;
  $handler->display->display_options['fields']['path']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['path']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['path']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['path']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['path']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['path']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['path']['alter']['html'] = 0;
  $handler->display->display_options['fields']['path']['hide_empty'] = 0;
  $handler->display->display_options['fields']['path']['empty_zero'] = 0;
  $handler->display->display_options['fields']['path']['display_as_link'] = 0;
  /* Field: Field form submissions: Source title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = t('Source title');
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['title']['alter']['path'] = '[path]';
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  /* Field: Field form submissions: Entity type */
  $handler->display->display_options['fields']['entity_type']['id'] = 'entity_type';
  $handler->display->display_options['fields']['entity_type']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['entity_type']['field'] = 'entity_type';
  $handler->display->display_options['fields']['entity_type']['label'] = t('Source type');
  $handler->display->display_options['fields']['entity_type']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['entity_type']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['entity_type']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['entity_type']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['entity_type']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['entity_type']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['entity_type']['alter']['html'] = 0;
  $handler->display->display_options['fields']['entity_type']['hide_empty'] = 0;
  $handler->display->display_options['fields']['entity_type']['empty_zero'] = 0;
  /* Field: Fields: taxonomy_field_form */
  $handler->display->display_options['fields']['entity_id']['id'] = 'entity_id';
  $handler->display->display_options['fields']['entity_id']['table'] = 'field_data_taxonomy_field_form';
  $handler->display->display_options['fields']['entity_id']['field'] = 'entity_id';
  $handler->display->display_options['fields']['entity_id']['label'] = t('Class');
  $handler->display->display_options['fields']['entity_id']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['entity_id']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['entity_id']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['html'] = 0;
  $handler->display->display_options['fields']['entity_id']['hide_empty'] = 0;
  $handler->display->display_options['fields']['entity_id']['empty_zero'] = 0;
  /* Field: Field form submissions: View link */
  $handler->display->display_options['fields']['view_submission']['id'] = 'view_submission';
  $handler->display->display_options['fields']['view_submission']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['view_submission']['field'] = 'view_submission';
  $handler->display->display_options['fields']['view_submission']['hide_empty'] = 0;
  $handler->display->display_options['fields']['view_submission']['empty_zero'] = 0;
  /* Field: Field form submissions: Edit link */
  $handler->display->display_options['fields']['edit_submission']['id'] = 'edit_submission';
  $handler->display->display_options['fields']['edit_submission']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['edit_submission']['field'] = 'edit_submission';
  $handler->display->display_options['fields']['edit_submission']['hide_empty'] = 0;
  $handler->display->display_options['fields']['edit_submission']['empty_zero'] = 0;
  /* Field: Field form submissions: Delete link */
  $handler->display->display_options['fields']['delete_submission']['id'] = 'delete_submission';
  $handler->display->display_options['fields']['delete_submission']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['delete_submission']['field'] = 'delete_submission';
  $handler->display->display_options['fields']['delete_submission']['label'] = t('Operation');
  $handler->display->display_options['fields']['delete_submission']['hide_empty'] = 0;
  $handler->display->display_options['fields']['delete_submission']['empty_zero'] = 0;
  /* Filter: User: Name */
  $handler->display->display_options['filters']['uid']['id'] = 'uid';
  $handler->display->display_options['filters']['uid']['table'] = 'users';
  $handler->display->display_options['filters']['uid']['field'] = 'uid';
  $handler->display->display_options['filters']['uid']['group_type'] = 'group';
  $handler->display->display_options['filters']['uid']['operator'] = 'in';
  $handler->display->display_options['filters']['uid']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid']['value'] = '';
  $handler->display->display_options['filters']['uid']['group'] = 0;
  $handler->display->display_options['filters']['uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['identifier'] = 'uid';
  $handler->display->display_options['filters']['uid']['expose']['operator'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['reduce'] = FALSE;
  $handler->display->display_options['filters']['uid']['expose']['use_operator'] = FALSE;
  $handler->display->display_options['filters']['uid']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['single'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['optional'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['label'] = t('Username');
  /* Filter: Field form term: Term */
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['id'] = 'taxonomy_field_form_tid';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['table'] = 'field_data_taxonomy_field_form';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['field'] = 'taxonomy_field_form_tid';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['group_type'] = 'group';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['operator'] = 'in';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['relationship'] = 'none';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['value'] = array();
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['group'] = 0;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['exposed'] = TRUE;  
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['identifier'] = 'taxonomy_field_form_tid';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['reduce'] = FALSE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['operator'] = 'taxonomy_field_form_tid_op';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['use_operator'] = FALSE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['single'] = TRUE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['optional'] = TRUE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['label'] = t('Class');

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_2');
  $handler->display->display_options['path'] = 'field-form';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = t('Field form submission results');
  $handler->display->display_options['menu']['description'] = t('List of all Field form submissions.');
  $handler->display->display_options['menu']['weight'] = '0';
  $views[$view->name] = $view;
  
  /* Field form user own submission */
  $view = new view;
  $view->name = 'field_form_user_own_submission';
  $view->description = t("List of user's own Field form submission");
  $view->tag = t('field form submissions');
  $view->view_php = '';
  $view->base_table = 'field_form_results';
  $view->is_cacheable = FALSE;
  $view->api_version = 3.0;
  $view->disabled = FALSE;

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = t('My Field form submissions');
  $handler->display->display_options['access']['type'] = 'field_form_access_callback';
  $handler->display->display_options['access']['access_callback'] = 'field_form_submission_access';
  $handler->display->display_options['access']['access_arguments'] = '%1,list';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'timestamp' => 'timestamp',
    'remote_addr' => 'remote_addr',
    'score' => 'score',
    'retries' => 'retries',
    'duration' => 'duration',
    'path' => 'path',
    'title' => 'title',
    'entity_type' => 'entity_type',
    'view_submission' => 'delete_submission',
    'edit_submission' => 'delete_submission',
    'delete_submission' => 'delete_submission',
  );
  $handler->display->display_options['style_options']['default'] = 'timestamp';
  $handler->display->display_options['style_options']['info'] = array(
    'timestamp' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'remote_addr' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'score' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'retries' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'duration' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'path' => array(
      'sortable' => 0,
      'align' => '',
      'separator' => '',
    ),
    'title' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'entity_type' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'entity_id' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'view_submission' => array(
      'align' => '',
      'separator' => '',
    ),
    'edit_submission' => array(
      'align' => '',
      'separator' => '',
    ),
    'delete_submission' => array(
      'align' => '',
      'separator' => ' | ',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  $handler->display->display_options['style_options']['order'] = 'desc';
  /* Field: Field form submissions: Timestamp */
  $handler->display->display_options['fields']['timestamp']['id'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['timestamp']['field'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['label'] = t('Date submitted');
  $handler->display->display_options['fields']['timestamp']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['timestamp']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['timestamp']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['html'] = 0;
  $handler->display->display_options['fields']['timestamp']['hide_empty'] = 0;
  $handler->display->display_options['fields']['timestamp']['empty_zero'] = 0;
  $handler->display->display_options['fields']['timestamp']['date_format'] = 'custom';
  $handler->display->display_options['fields']['timestamp']['custom_date_format'] = 'D, Y-m-d H:i';
  /* Field: Field form submissions: IP address */
  $handler->display->display_options['fields']['remote_addr']['id'] = 'remote_addr';
  $handler->display->display_options['fields']['remote_addr']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['remote_addr']['field'] = 'remote_addr';
  $handler->display->display_options['fields']['remote_addr']['label'] = t('IP address');
  $handler->display->display_options['fields']['remote_addr']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['remote_addr']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['remote_addr']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['html'] = 0;
  $handler->display->display_options['fields']['remote_addr']['hide_empty'] = 0;
  $handler->display->display_options['fields']['remote_addr']['empty_zero'] = 0;
  /* Field: Field form submissions: Score */
  $handler->display->display_options['fields']['score']['id'] = 'score';
  $handler->display->display_options['fields']['score']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['score']['field'] = 'score';
  $handler->display->display_options['fields']['score']['label'] = t('Score');
  $handler->display->display_options['fields']['score']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['score']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['score']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['score']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['score']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['score']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['score']['alter']['html'] = 0;
  $handler->display->display_options['fields']['score']['hide_empty'] = 0;
  $handler->display->display_options['fields']['score']['empty_zero'] = 0;
  /* Field: Field form submissions: Retries */
  $handler->display->display_options['fields']['retries']['id'] = 'retries';
  $handler->display->display_options['fields']['retries']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['retries']['field'] = 'retries';
  $handler->display->display_options['fields']['retries']['label'] = t('Retries');
  $handler->display->display_options['fields']['retries']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['retries']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['retries']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['html'] = 0;
  $handler->display->display_options['fields']['retries']['hide_empty'] = 0;
  $handler->display->display_options['fields']['retries']['empty_zero'] = 0;
  /* Field: Field form submissions: Duration */
  $handler->display->display_options['fields']['duration']['id'] = 'duration';
  $handler->display->display_options['fields']['duration']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['duration']['field'] = 'duration';
  $handler->display->display_options['fields']['duration']['label'] = t('Duration');
  $handler->display->display_options['fields']['duration']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['duration']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['duration']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['html'] = 0;
  $handler->display->display_options['fields']['duration']['hide_empty'] = 0;
  $handler->display->display_options['fields']['duration']['empty_zero'] = 0;
  /* Field: Field form submissions: Source path */
  $handler->display->display_options['fields']['path']['id'] = 'path';
  $handler->display->display_options['fields']['path']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['path']['field'] = 'path';
  $handler->display->display_options['fields']['path']['label'] = '';
  $handler->display->display_options['fields']['path']['exclude'] = TRUE;
  $handler->display->display_options['fields']['path']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['path']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['path']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['path']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['path']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['path']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['path']['alter']['html'] = 0;
  $handler->display->display_options['fields']['path']['hide_empty'] = 0;
  $handler->display->display_options['fields']['path']['empty_zero'] = 0;
  $handler->display->display_options['fields']['path']['display_as_link'] = 0;
  /* Field: Field form submissions: Source title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = t('Source title');
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['title']['alter']['path'] = '[path]';
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  /* Field: Field form submissions: Entity type */
  $handler->display->display_options['fields']['entity_type']['id'] = 'entity_type';
  $handler->display->display_options['fields']['entity_type']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['entity_type']['field'] = 'entity_type';
  $handler->display->display_options['fields']['entity_type']['label'] = t('Source type');
  $handler->display->display_options['fields']['entity_type']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['entity_type']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['entity_type']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['entity_type']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['entity_type']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['entity_type']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['entity_type']['alter']['html'] = 0;
  $handler->display->display_options['fields']['entity_type']['hide_empty'] = 0;
  $handler->display->display_options['fields']['entity_type']['empty_zero'] = 0;
  /* Field: Fields: taxonomy_field_form */
  $handler->display->display_options['fields']['entity_id']['id'] = 'entity_id';
  $handler->display->display_options['fields']['entity_id']['table'] = 'field_data_taxonomy_field_form';
  $handler->display->display_options['fields']['entity_id']['field'] = 'entity_id';
  $handler->display->display_options['fields']['entity_id']['label'] = t('Class');
  $handler->display->display_options['fields']['entity_id']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['entity_id']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['entity_id']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['html'] = 0;
  $handler->display->display_options['fields']['entity_id']['hide_empty'] = 0;
  $handler->display->display_options['fields']['entity_id']['empty_zero'] = 0;  
  /* Field: Field form submissions: View link */
  $handler->display->display_options['fields']['view_submission']['id'] = 'view_submission';
  $handler->display->display_options['fields']['view_submission']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['view_submission']['field'] = 'view_submission';
  $handler->display->display_options['fields']['view_submission']['hide_empty'] = 0;
  $handler->display->display_options['fields']['view_submission']['empty_zero'] = 0;
  /* Field: Field form submissions: Edit link */
  $handler->display->display_options['fields']['edit_submission']['id'] = 'edit_submission';
  $handler->display->display_options['fields']['edit_submission']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['edit_submission']['field'] = 'edit_submission';
  $handler->display->display_options['fields']['edit_submission']['hide_empty'] = 0;
  $handler->display->display_options['fields']['edit_submission']['empty_zero'] = 0;
  /* Field: Field form submissions: Delete link */
  $handler->display->display_options['fields']['delete_submission']['id'] = 'delete_submission';
  $handler->display->display_options['fields']['delete_submission']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['delete_submission']['field'] = 'delete_submission';
  $handler->display->display_options['fields']['delete_submission']['label'] = t('Operation');
  $handler->display->display_options['fields']['delete_submission']['hide_empty'] = 0;
  $handler->display->display_options['fields']['delete_submission']['empty_zero'] = 0;
  /* Argument: Field form submissions: Owner */
  $handler->display->display_options['arguments']['uid']['id'] = 'uid';
  $handler->display->display_options['arguments']['uid']['table'] = 'field_form_results';
  $handler->display->display_options['arguments']['uid']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['uid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['uid']['default_argument_type'] = 'user';
  /* Filter: Field form term: Term */
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['id'] = 'taxonomy_field_form_tid';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['table'] = 'field_data_taxonomy_field_form';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['field'] = 'taxonomy_field_form_tid';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['group_type'] = 'group';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['operator'] = 'in';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['relationship'] = 'none';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['value'] = array();
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['group'] = 0;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['exposed'] = TRUE;  
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['identifier'] = 'taxonomy_field_form_tid';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['reduce'] = FALSE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['operator'] = 'taxonomy_field_form_tid_op';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['use_operator'] = FALSE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['single'] = TRUE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['optional'] = TRUE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['label'] = t('Class');
  
  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['path'] = 'user/%/submissions';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = t('My submissions');
  $handler->display->display_options['menu']['description'] = t("Current user's Field form submissions.");
  $handler->display->display_options['menu']['weight'] = '0';
  $views[$view->name] = $view;

  /* Field form submissions attached to a node entity */
  $view = new view;
  $view->name = 'field_form_node';
  $view->description = t('Field form submissions attached to a node entity');
  $view->tag = t('field form submissions');
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = 3.0;
  $view->disabled = FALSE;

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = t('Field form submission results');
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'view any submission results list';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'name' => 'name',
    'remote_addr' => 'remote_addr',
    'timestamp' => 'timestamp',
    'retries' => 'retries',
    'score' => 'score',
    'duration' => 'duration',
    'view_submission' => 'delete_submission',
    'edit_submission' => 'delete_submission',
    'delete_submission' => 'delete_submission',
  );
  $handler->display->display_options['style_options']['default'] = 'timestamp';
  $handler->display->display_options['style_options']['info'] = array(
    'name' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'remote_addr' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'timestamp' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'score' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'retries' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'duration' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'entity_id' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'view_submission' => array(
      'align' => '',
      'separator' => '',
    ),
    'edit_submission' => array(
      'align' => '',
      'separator' => '',
    ),
    'delete_submission' => array(
      'align' => '',
      'separator' => ' | ',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  $handler->display->display_options['style_options']['order'] = 'desc';
  /* Relationship: Field form submissions: Owner */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'field_form_results';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['required'] = 1;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['name']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['name']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['name']['alter']['html'] = 0;
  $handler->display->display_options['fields']['name']['hide_empty'] = 0;
  $handler->display->display_options['fields']['name']['empty_zero'] = 0;
  $handler->display->display_options['fields']['name']['link_to_user'] = 1;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = 0;
  $handler->display->display_options['fields']['name']['label'] = t('Submitted by');
  /* Field: Field form submissions: IP address */
  $handler->display->display_options['fields']['remote_addr']['id'] = 'remote_addr';
  $handler->display->display_options['fields']['remote_addr']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['remote_addr']['field'] = 'remote_addr';
  $handler->display->display_options['fields']['remote_addr']['label'] = t('IP address');
  $handler->display->display_options['fields']['remote_addr']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['remote_addr']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['remote_addr']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['html'] = 0;
  $handler->display->display_options['fields']['remote_addr']['hide_empty'] = 0;
  $handler->display->display_options['fields']['remote_addr']['empty_zero'] = 0;
  /* Field: Field form submissions: Timestamp */
  $handler->display->display_options['fields']['timestamp']['id'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['timestamp']['field'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['timestamp']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['timestamp']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['html'] = 0;
  $handler->display->display_options['fields']['timestamp']['hide_empty'] = 0;
  $handler->display->display_options['fields']['timestamp']['empty_zero'] = 0;
  $handler->display->display_options['fields']['timestamp']['date_format'] = 'custom';
  $handler->display->display_options['fields']['timestamp']['custom_date_format'] = 'D, Y-m-d H:i';
  $handler->display->display_options['fields']['timestamp']['label'] = t('Date submitted');
    /* Field: Field form submissions: Score */
  $handler->display->display_options['fields']['score']['id'] = 'score';
  $handler->display->display_options['fields']['score']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['score']['field'] = 'score';
  $handler->display->display_options['fields']['score']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['score']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['score']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['score']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['score']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['score']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['score']['alter']['html'] = 0;
  $handler->display->display_options['fields']['score']['hide_empty'] = 0;
  $handler->display->display_options['fields']['score']['empty_zero'] = 0;
  $handler->display->display_options['fields']['score']['label'] = t('Score');
  /* Field: Field form submissions: Retries */
  $handler->display->display_options['fields']['retries']['id'] = 'retries';
  $handler->display->display_options['fields']['retries']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['retries']['field'] = 'retries';
  $handler->display->display_options['fields']['retries']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['retries']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['retries']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['html'] = 0;
  $handler->display->display_options['fields']['retries']['hide_empty'] = 0;
  $handler->display->display_options['fields']['retries']['empty_zero'] = 0;
  $handler->display->display_options['fields']['retries']['label'] = t('Retries');
  /* Field: Field form submissions: Duration */
  $handler->display->display_options['fields']['duration']['id'] = 'duration';
  $handler->display->display_options['fields']['duration']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['duration']['field'] = 'duration';
  $handler->display->display_options['fields']['duration']['label'] = t('Duration');
  $handler->display->display_options['fields']['duration']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['duration']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['duration']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['html'] = 0;
  $handler->display->display_options['fields']['duration']['hide_empty'] = 0;
  $handler->display->display_options['fields']['duration']['empty_zero'] = 0;
  /* Field: Fields: taxonomy_field_form */
  $handler->display->display_options['fields']['entity_id']['id'] = 'entity_id';
  $handler->display->display_options['fields']['entity_id']['table'] = 'field_data_taxonomy_field_form';
  $handler->display->display_options['fields']['entity_id']['field'] = 'entity_id';
  $handler->display->display_options['fields']['entity_id']['label'] = t('Class');
  $handler->display->display_options['fields']['entity_id']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['entity_id']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['entity_id']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['html'] = 0;
  $handler->display->display_options['fields']['entity_id']['hide_empty'] = 0;
  $handler->display->display_options['fields']['entity_id']['empty_zero'] = 0;
  /* Field: Field form submissions: View link */
  $handler->display->display_options['fields']['view_submission']['id'] = 'view_submission';
  $handler->display->display_options['fields']['view_submission']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['view_submission']['field'] = 'view_submission';
  $handler->display->display_options['fields']['view_submission']['hide_empty'] = 0;
  $handler->display->display_options['fields']['view_submission']['empty_zero'] = 0;
  /* Field: Field form submissions: Edit link */
  $handler->display->display_options['fields']['edit_submission']['id'] = 'edit_submission';
  $handler->display->display_options['fields']['edit_submission']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['edit_submission']['field'] = 'edit_submission';
  $handler->display->display_options['fields']['edit_submission']['hide_empty'] = 0;
  $handler->display->display_options['fields']['edit_submission']['empty_zero'] = 0;
  /* Field: Field form submissions: Delete link */
  $handler->display->display_options['fields']['delete_submission']['id'] = 'delete_submission';
  $handler->display->display_options['fields']['delete_submission']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['delete_submission']['field'] = 'delete_submission';
  $handler->display->display_options['fields']['delete_submission']['label'] = t('Operation');
  $handler->display->display_options['fields']['delete_submission']['hide_empty'] = 0;
  $handler->display->display_options['fields']['delete_submission']['empty_zero'] = 0;
  /* Argument: Node: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['nid']['not'] = 0;
  /* Filter: User: Name */
  $handler->display->display_options['filters']['uid']['id'] = 'uid';
  $handler->display->display_options['filters']['uid']['table'] = 'users';
  $handler->display->display_options['filters']['uid']['field'] = 'uid';
  $handler->display->display_options['filters']['uid']['group_type'] = 'group';
  $handler->display->display_options['filters']['uid']['operator'] = 'in';
  $handler->display->display_options['filters']['uid']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid']['value'] = '';
  $handler->display->display_options['filters']['uid']['group'] = 0;
  $handler->display->display_options['filters']['uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['identifier'] = 'uid';
  $handler->display->display_options['filters']['uid']['expose']['operator'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['reduce'] = FALSE;
  $handler->display->display_options['filters']['uid']['expose']['use_operator'] = FALSE;
  $handler->display->display_options['filters']['uid']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['single'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['optional'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['label'] = t('Username');
  /* Filter: Field form term: Term */
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['id'] = 'taxonomy_field_form_tid';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['table'] = 'field_data_taxonomy_field_form';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['field'] = 'taxonomy_field_form_tid';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['group_type'] = 'group';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['operator'] = 'in';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['relationship'] = 'none';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['value'] = array();
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['group'] = 0;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['exposed'] = TRUE;  
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['identifier'] = 'taxonomy_field_form_tid';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['reduce'] = FALSE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['operator'] = 'taxonomy_field_form_tid_op';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['use_operator'] = FALSE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['single'] = TRUE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['optional'] = TRUE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['label'] = t('Class');

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['path'] = 'node/%/field-form';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = t('Field form submissions');
  $handler->display->display_options['menu']['description'] = t('Field form submissions attached to this node entity.');
  $handler->display->display_options['menu']['weight'] = '0';
  $views[$view->name] = $view;
  
  /* Field form submissions attached to a taxonomy term entity */
  $view = new view;
  $view->name = 'field_form_taxonomy_term';
  $view->description = t('Field form submissions attached to a taxonomy term entity');
  $view->tag = t('field form submissions');
  $view->view_php = '';
  $view->base_table = 'term_data';
  $view->is_cacheable = FALSE;
  $view->api_version = 3.0;
  $view->disabled = FALSE;

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = t('Field form submission results');
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'view any submission results list';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'name' => 'name',
    'remote_addr' => 'remote_addr',
    'timestamp' => 'timestamp',
    'retries' => 'retries',
    'score' => 'score',
    'duration' => 'duration',
    'view_submission' => 'delete_submission',
    'edit_submission' => 'delete_submission',
    'delete_submission' => 'delete_submission',
  );
  $handler->display->display_options['style_options']['default'] = 'timestamp';
  $handler->display->display_options['style_options']['info'] = array(
    'name' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'remote_addr' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'timestamp' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'score' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'retries' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'duration' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'entity_id' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'view_submission' => array(
      'align' => '',
      'separator' => '',
    ),
    'edit_submission' => array(
      'align' => '',
      'separator' => '',
    ),
    'delete_submission' => array(
      'align' => '',
      'separator' => ' | ',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  $handler->display->display_options['style_options']['order'] = 'desc';
  /* Relationship: Field form submissions: Owner */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'field_form_results';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['required'] = 1;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['name']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['name']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['name']['alter']['html'] = 0;
  $handler->display->display_options['fields']['name']['hide_empty'] = 0;
  $handler->display->display_options['fields']['name']['empty_zero'] = 0;
  $handler->display->display_options['fields']['name']['link_to_user'] = 1;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = 0;
  $handler->display->display_options['fields']['name']['label'] = t('Submitted by');
  /* Field: Field form submissions: IP address */
  $handler->display->display_options['fields']['remote_addr']['id'] = 'remote_addr';
  $handler->display->display_options['fields']['remote_addr']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['remote_addr']['field'] = 'remote_addr';
  $handler->display->display_options['fields']['remote_addr']['label'] = t('IP address');
  $handler->display->display_options['fields']['remote_addr']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['remote_addr']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['remote_addr']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['html'] = 0;
  $handler->display->display_options['fields']['remote_addr']['hide_empty'] = 0;
  $handler->display->display_options['fields']['remote_addr']['empty_zero'] = 0;
  /* Field: Field form submissions: Timestamp */
  $handler->display->display_options['fields']['timestamp']['id'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['timestamp']['field'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['timestamp']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['timestamp']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['html'] = 0;
  $handler->display->display_options['fields']['timestamp']['hide_empty'] = 0;
  $handler->display->display_options['fields']['timestamp']['empty_zero'] = 0;
  $handler->display->display_options['fields']['timestamp']['date_format'] = 'custom';
  $handler->display->display_options['fields']['timestamp']['custom_date_format'] = 'D, Y-m-d H:i';
  $handler->display->display_options['fields']['timestamp']['label'] = t('Date submitted');
    /* Field: Field form submissions: Score */
  $handler->display->display_options['fields']['score']['id'] = 'score';
  $handler->display->display_options['fields']['score']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['score']['field'] = 'score';
  $handler->display->display_options['fields']['score']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['score']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['score']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['score']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['score']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['score']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['score']['alter']['html'] = 0;
  $handler->display->display_options['fields']['score']['hide_empty'] = 0;
  $handler->display->display_options['fields']['score']['empty_zero'] = 0;
  $handler->display->display_options['fields']['score']['label'] = t('Score');
  /* Field: Field form submissions: Retries */
  $handler->display->display_options['fields']['retries']['id'] = 'retries';
  $handler->display->display_options['fields']['retries']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['retries']['field'] = 'retries';
  $handler->display->display_options['fields']['retries']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['retries']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['retries']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['html'] = 0;
  $handler->display->display_options['fields']['retries']['hide_empty'] = 0;
  $handler->display->display_options['fields']['retries']['empty_zero'] = 0;
  $handler->display->display_options['fields']['retries']['label'] = t('Retries');
  /* Field: Field form submissions: Duration */
  $handler->display->display_options['fields']['duration']['id'] = 'duration';
  $handler->display->display_options['fields']['duration']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['duration']['field'] = 'duration';
  $handler->display->display_options['fields']['duration']['label'] = t('Duration');
  $handler->display->display_options['fields']['duration']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['duration']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['duration']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['html'] = 0;
  $handler->display->display_options['fields']['duration']['hide_empty'] = 0;
  $handler->display->display_options['fields']['duration']['empty_zero'] = 0;
  /* Field: Fields: taxonomy_field_form */
  $handler->display->display_options['fields']['entity_id']['id'] = 'entity_id';
  $handler->display->display_options['fields']['entity_id']['table'] = 'field_data_taxonomy_field_form';
  $handler->display->display_options['fields']['entity_id']['field'] = 'entity_id';
  $handler->display->display_options['fields']['entity_id']['label'] = t('Class');
  $handler->display->display_options['fields']['entity_id']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['entity_id']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['entity_id']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['html'] = 0;
  $handler->display->display_options['fields']['entity_id']['hide_empty'] = 0;
  $handler->display->display_options['fields']['entity_id']['empty_zero'] = 0;
  /* Field: Field form submissions: View link */
  $handler->display->display_options['fields']['view_submission']['id'] = 'view_submission';
  $handler->display->display_options['fields']['view_submission']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['view_submission']['field'] = 'view_submission';
  $handler->display->display_options['fields']['view_submission']['hide_empty'] = 0;
  $handler->display->display_options['fields']['view_submission']['empty_zero'] = 0;
  /* Field: Field form submissions: Edit link */
  $handler->display->display_options['fields']['edit_submission']['id'] = 'edit_submission';
  $handler->display->display_options['fields']['edit_submission']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['edit_submission']['field'] = 'edit_submission';
  $handler->display->display_options['fields']['edit_submission']['hide_empty'] = 0;
  $handler->display->display_options['fields']['edit_submission']['empty_zero'] = 0;
  /* Field: Field form submissions: Delete link */
  $handler->display->display_options['fields']['delete_submission']['id'] = 'delete_submission';
  $handler->display->display_options['fields']['delete_submission']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['delete_submission']['field'] = 'delete_submission';
  $handler->display->display_options['fields']['delete_submission']['label'] = t('Operation');
  $handler->display->display_options['fields']['delete_submission']['hide_empty'] = 0;
  $handler->display->display_options['fields']['delete_submission']['empty_zero'] = 0;
  /* Argument: Taxonomy: Term ID */
  $handler->display->display_options['arguments']['tid']['id'] = 'tid';
  $handler->display->display_options['arguments']['tid']['table'] = 'term_data';
  $handler->display->display_options['arguments']['tid']['field'] = 'tid';
  $handler->display->display_options['arguments']['tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['tid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['tid']['default_argument_type'] = 'taxonomy_tid';
  $handler->display->display_options['arguments']['tid']['default_argument_options']['term_page'] = '1';
  $handler->display->display_options['arguments']['tid']['default_argument_options']['node'] = 0;
  $handler->display->display_options['arguments']['tid']['default_argument_options']['limit'] = 0;
  $handler->display->display_options['arguments']['tid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['tid']['not'] = 0;
  /* Filter: User: Name */
  $handler->display->display_options['filters']['uid']['id'] = 'uid';
  $handler->display->display_options['filters']['uid']['table'] = 'users';
  $handler->display->display_options['filters']['uid']['field'] = 'uid';
  $handler->display->display_options['filters']['uid']['group_type'] = 'group';
  $handler->display->display_options['filters']['uid']['operator'] = 'in';
  $handler->display->display_options['filters']['uid']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid']['value'] = '';
  $handler->display->display_options['filters']['uid']['group'] = 0;
  $handler->display->display_options['filters']['uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['identifier'] = 'uid';
  $handler->display->display_options['filters']['uid']['expose']['operator'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['reduce'] = FALSE;
  $handler->display->display_options['filters']['uid']['expose']['use_operator'] = FALSE;
  $handler->display->display_options['filters']['uid']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['single'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['optional'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['label'] = t('Username');
  /* Filter: Field form term: Term */
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['id'] = 'taxonomy_field_form_tid';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['table'] = 'field_data_taxonomy_field_form';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['field'] = 'taxonomy_field_form_tid';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['group_type'] = 'group';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['operator'] = 'in';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['relationship'] = 'none';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['value'] = array();
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['group'] = 0;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['exposed'] = TRUE;  
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['identifier'] = 'taxonomy_field_form_tid';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['reduce'] = FALSE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['operator'] = 'taxonomy_field_form_tid_op';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['use_operator'] = FALSE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['single'] = TRUE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['optional'] = TRUE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['label'] = t('Class');

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['path'] = 'taxonomy/term/%/field-form';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = t('Field form submissions');
  $handler->display->display_options['menu']['description'] = t('Field form submissions attached to this taxonomy term entity.');
  $handler->display->display_options['menu']['weight'] = '10';
  $views[$view->name] = $view;
  
  /* Field form submissions attached to a user entity */
  $view = new view;
  $view->name = 'field_form_user';
  $view->description = t('Field form submissions attached to a user entity');
  $view->tag = t('field form submissions');
  $view->view_php = '';
  $view->base_table = 'users';
  $view->is_cacheable = FALSE;
  $view->api_version = 3.0;
  $view->disabled = FALSE;

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = t('Field form submission results');
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'view any submission results list';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'name' => 'name',
    'remote_addr' => 'remote_addr',
    'timestamp' => 'timestamp',
    'retries' => 'retries',
    'score' => 'score',
    'duration' => 'duration',
    'view_submission' => 'delete_submission',
    'edit_submission' => 'delete_submission',
    'delete_submission' => 'delete_submission',
  );
  $handler->display->display_options['style_options']['default'] = 'timestamp';
  $handler->display->display_options['style_options']['info'] = array(
    'name' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'remote_addr' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'timestamp' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'score' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'retries' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'duration' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'entity_id' => array(
      'sortable' => 1,
      'align' => '',
      'separator' => '',
    ),
    'view_submission' => array(
      'align' => '',
      'separator' => '',
    ),
    'edit_submission' => array(
      'align' => '',
      'separator' => '',
    ),
    'delete_submission' => array(
      'align' => '',
      'separator' => ' | ',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  $handler->display->display_options['style_options']['order'] = 'desc';
  /* Relationship: Field form submissions: Owner */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'field_form_results';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['required'] = 1;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['name']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['name']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['name']['alter']['html'] = 0;
  $handler->display->display_options['fields']['name']['hide_empty'] = 0;
  $handler->display->display_options['fields']['name']['empty_zero'] = 0;
  $handler->display->display_options['fields']['name']['link_to_user'] = 1;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = 0;
  $handler->display->display_options['fields']['name']['label'] = t('Submitted by');
  /* Field: Field form submissions: IP address */
  $handler->display->display_options['fields']['remote_addr']['id'] = 'remote_addr';
  $handler->display->display_options['fields']['remote_addr']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['remote_addr']['field'] = 'remote_addr';
  $handler->display->display_options['fields']['remote_addr']['label'] = t('IP address');
  $handler->display->display_options['fields']['remote_addr']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['remote_addr']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['remote_addr']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['remote_addr']['alter']['html'] = 0;
  $handler->display->display_options['fields']['remote_addr']['hide_empty'] = 0;
  $handler->display->display_options['fields']['remote_addr']['empty_zero'] = 0;
  /* Field: Field form submissions: Timestamp */
  $handler->display->display_options['fields']['timestamp']['id'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['timestamp']['field'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['timestamp']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['timestamp']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['timestamp']['alter']['html'] = 0;
  $handler->display->display_options['fields']['timestamp']['hide_empty'] = 0;
  $handler->display->display_options['fields']['timestamp']['empty_zero'] = 0;
  $handler->display->display_options['fields']['timestamp']['date_format'] = 'custom';
  $handler->display->display_options['fields']['timestamp']['custom_date_format'] = 'D, Y-m-d H:i';
  $handler->display->display_options['fields']['timestamp']['label'] = t('Date submitted');
    /* Field: Field form submissions: Score */
  $handler->display->display_options['fields']['score']['id'] = 'score';
  $handler->display->display_options['fields']['score']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['score']['field'] = 'score';
  $handler->display->display_options['fields']['score']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['score']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['score']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['score']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['score']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['score']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['score']['alter']['html'] = 0;
  $handler->display->display_options['fields']['score']['hide_empty'] = 0;
  $handler->display->display_options['fields']['score']['empty_zero'] = 0;
  $handler->display->display_options['fields']['score']['label'] = t('Score');
  /* Field: Field form submissions: Retries */
  $handler->display->display_options['fields']['retries']['id'] = 'retries';
  $handler->display->display_options['fields']['retries']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['retries']['field'] = 'retries';
  $handler->display->display_options['fields']['retries']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['retries']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['retries']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['retries']['alter']['html'] = 0;
  $handler->display->display_options['fields']['retries']['hide_empty'] = 0;
  $handler->display->display_options['fields']['retries']['empty_zero'] = 0;
  $handler->display->display_options['fields']['retries']['label'] = t('Retries');
  /* Field: Field form submissions: Duration */
  $handler->display->display_options['fields']['duration']['id'] = 'duration';
  $handler->display->display_options['fields']['duration']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['duration']['field'] = 'duration';
  $handler->display->display_options['fields']['duration']['label'] = t('Duration');
  $handler->display->display_options['fields']['duration']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['duration']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['duration']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['duration']['alter']['html'] = 0;
  $handler->display->display_options['fields']['duration']['hide_empty'] = 0;
  $handler->display->display_options['fields']['duration']['empty_zero'] = 0;
  /* Field: Fields: taxonomy_field_form */
  $handler->display->display_options['fields']['entity_id']['id'] = 'entity_id';
  $handler->display->display_options['fields']['entity_id']['table'] = 'field_data_taxonomy_field_form';
  $handler->display->display_options['fields']['entity_id']['field'] = 'entity_id';
  $handler->display->display_options['fields']['entity_id']['label'] = t('Class');
  $handler->display->display_options['fields']['entity_id']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['entity_id']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['entity_id']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['entity_id']['alter']['html'] = 0;
  $handler->display->display_options['fields']['entity_id']['hide_empty'] = 0;
  $handler->display->display_options['fields']['entity_id']['empty_zero'] = 0;
  /* Field: Field form submissions: View link */
  $handler->display->display_options['fields']['view_submission']['id'] = 'view_submission';
  $handler->display->display_options['fields']['view_submission']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['view_submission']['field'] = 'view_submission';
  $handler->display->display_options['fields']['view_submission']['hide_empty'] = 0;
  $handler->display->display_options['fields']['view_submission']['empty_zero'] = 0;
  /* Field: Field form submissions: Edit link */
  $handler->display->display_options['fields']['edit_submission']['id'] = 'edit_submission';
  $handler->display->display_options['fields']['edit_submission']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['edit_submission']['field'] = 'edit_submission';
  $handler->display->display_options['fields']['edit_submission']['hide_empty'] = 0;
  $handler->display->display_options['fields']['edit_submission']['empty_zero'] = 0;
  /* Field: Field form submissions: Delete link */
  $handler->display->display_options['fields']['delete_submission']['id'] = 'delete_submission';
  $handler->display->display_options['fields']['delete_submission']['table'] = 'field_form_results';
  $handler->display->display_options['fields']['delete_submission']['field'] = 'delete_submission';
  $handler->display->display_options['fields']['delete_submission']['label'] = t('Operation');
  $handler->display->display_options['fields']['delete_submission']['hide_empty'] = 0;
  $handler->display->display_options['fields']['delete_submission']['empty_zero'] = 0;
  /* Argument: User: Uid */
  $handler->display->display_options['arguments']['uid']['id'] = 'uid';
  $handler->display->display_options['arguments']['uid']['table'] = 'users';
  $handler->display->display_options['arguments']['uid']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['uid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['uid']['default_argument_type'] = 'user';
  $handler->display->display_options['arguments']['uid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['uid']['not'] = 0;
  /* Filter: User: Name */
  $handler->display->display_options['filters']['uid']['id'] = 'uid';
  $handler->display->display_options['filters']['uid']['table'] = 'users';
  $handler->display->display_options['filters']['uid']['field'] = 'uid';
  $handler->display->display_options['filters']['uid']['group_type'] = 'group';
  $handler->display->display_options['filters']['uid']['operator'] = 'in';
  $handler->display->display_options['filters']['uid']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid']['value'] = '';
  $handler->display->display_options['filters']['uid']['group'] = 0;
  $handler->display->display_options['filters']['uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['identifier'] = 'uid';
  $handler->display->display_options['filters']['uid']['expose']['operator'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['reduce'] = FALSE;
  $handler->display->display_options['filters']['uid']['expose']['use_operator'] = FALSE;
  $handler->display->display_options['filters']['uid']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['single'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['optional'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['label'] = t('Username');
  /* Filter: Field form term: Term */
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['id'] = 'taxonomy_field_form_tid';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['table'] = 'field_data_taxonomy_field_form';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['field'] = 'taxonomy_field_form_tid';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['group_type'] = 'group';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['operator'] = 'in';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['relationship'] = 'none';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['value'] = array();
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['group'] = 0;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['identifier'] = 'taxonomy_field_form_tid';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['reduce'] = FALSE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['operator'] = 'taxonomy_field_form_tid_op';
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['use_operator'] = FALSE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['single'] = TRUE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['optional'] = TRUE;
  $handler->display->display_options['filters']['taxonomy_field_form_tid']['expose']['label'] = t('Class');

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['path'] = 'user/%/field-form';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = t('Field form submissions');
  $handler->display->display_options['menu']['description'] = t('Field form submissions attached to this user entity.');
  $handler->display->display_options['menu']['weight'] = '0';
  $views[$view->name] = $view;
  
  return $views;
}